curl --request GET \
--url https://api-sandbox.synctera.com/v0/cash/authorization/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/cash/authorization/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/cash/authorization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 10000,
"authorization_type": "CASH_ORDER",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25",
"account_number": "<string>",
"client_name": "Cash-Based Brick and Mortar Store",
"hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"status": "CANCELLED",
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get cash order authorization
Get a specific cash order authorization
🚧 Alpha > This is an Alpha spec-only endpoint. Feedback from the community is welcome. We may make breaking changes.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Cashier Authorization ID
Response
Retrieve a single cash authorization
Transfer amount in cents
x >= 110000
CASH_ORDER, DEPOSIT The UUID of the Synctera account resource that is the destination of the transfer.
"fccb4a46-1261-4e91-b622-73b5b946183d"
The date the cash order was placed with cash distribution provider
The account number of the client business the cash order is for. Known as "Location ID" in the cash order CSV files.
The name of the client business the cash order is for.
"Cash-Based Brick and Mortar Store"
ID of the hold created for this authorization
ID of the transfer
The UUID of the Synctera account resource originating the transfer.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
CANCELLED, COMPLETE, EXPIRED, PENDING The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Was this page helpful?

